Gentoo Archives: gentoo-commits

From: Sebastien Fabbro <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/decorator/
Date: Mon, 31 Jul 2017 18:12:57
Message-Id: 1501524731.47783a79b978575dcecd26079a9f3a3bd834bcbe.bicatali@gentoo
commit:     47783a79b978575dcecd26079a9f3a3bd834bcbe
Author:     S├ębastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 20:49:39 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 18:12:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47783a79

dev-python/decorator: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/decorator/Manifest               |  1 +
 dev-python/decorator/decorator-4.1.2.ebuild | 30 +++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/decorator/Manifest b/dev-python/decorator/Manifest
index bb5461ba7eb..d4b9d35c77c 100644
--- a/dev-python/decorator/Manifest
+++ b/dev-python/decorator/Manifest
@@ -1,3 +1,4 @@
 DIST decorator-4.0.10.tar.gz 68560 SHA256 9c6e98edcb33499881b86ede07d9968c81ab7c769e28e9af24075f0a5379f070 SHA512 612c2eafe16536c9b5eda07ea44999d868decbc38beb4207ab3f82325bafd346c431f9c9028f63bbf24573300a81dfb9446a51dee50bb34dc8b478088a541f73 WHIRLPOOL 8d4b4496c8066d352692e88ba86053ced436a595d4a7d8dbade6b81c8e4d7da294a26270a9723e35c511b1d213b71409c3d01af59979a5d10ead044cd67ecda8
 DIST decorator-4.0.11.tar.gz 70616 SHA256 953d6bf082b100f43229cf547f4f97f97e970f5ad645ee7601d55ff87afdfe76 SHA512 acce545d26c05ad03e4a3889214c3e94d1d47a9ccba42318ff8acb4d9384e676839fdcdb8d501a808f9332f532e4087a60398c273a58e07dfbc02f04f04af69c WHIRLPOOL 11594eef9ab15e2b1d3c42b812fc5f411524cab57b831e5c6f3f1651f8c1d5d3ed2748753965edf89af65ee0c9cb0a4478227677c73ab7834926f380aea175f8
 DIST decorator-4.0.2.tar.gz 64850 SHA256 1a089279d5de2471c47624d4463f2e5b3fc6a2cf65045c39bf714fc461a25206 SHA512 9f135c9c624557a90619e46002f12d54f8c53045420f524bbc52dee0b488268501467b207ea8f4445a8aa7d119af3e615cd76cbc25c1d1335d3bb581a1045ab3 WHIRLPOOL 1a4a31fe67d4cdfc58cb5486f83ee059a9211af5c5e48d57c9b22a24e08e5659a2e8b4519ecaba68fa603ef6e5a0756f69ee10fbe173d07ffe23204b579f2f18
+DIST decorator-4.1.2.tar.gz 32325 SHA256 7cb64d38cb8002971710c8899fbdfb859a23a364b7c99dab19d1f719c2ba16b5 SHA512 4a4b9dc39de9b3f00eae9b6829136f5d836355d3d719371440f69c33fdddf73636e9faaa8fc35829c64d5c5a61d968ea427267da944c524c22ad08b69fb6f0ff WHIRLPOOL 59ebb75e4d1eef0c9eadcc6135834311e284c0c97b05dea0c6b4c70cfedcd76d1206e89dff28591ae80f87b5cb650d5e4e2401054da47ddff433b9cbfe737b96

diff --git a/dev-python/decorator/decorator-4.1.2.ebuild b/dev-python/decorator/decorator-4.1.2.ebuild
new file mode 100644
index 00000000000..5ce747c4669
--- /dev/null
+++ b/dev-python/decorator/decorator-4.1.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simplifies the usage of decorators for the average programmer"
+HOMEPAGE="https://github.com/micheles/decorator"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=( docs/README.rst )
+
+python_test() {
+	"${PYTHON}" src/tests/test.py || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && dodoc documentation.pdf
+	distutils-r1_python_install_all
+}